package at.ac.uibk.gitsearch.service.dto;

import java.util.Date;

@SuppressWarnings(
    { "PMD.MethodNamingConventions", "PMD.FormalParameterNamingConventions", "PMD.MethodReturnsInternalArray", "PMD.ArrayIsStoredDirectly" }
)
public class BroadCastMessageDTO {

    private String message;
    private Date starts_at;
    private Date ends_at;

    private String color; // :"#E75E40",
    private String font; // #FFFFFF",
    private int id; // 1,
    private boolean active; // false,
    private String target_path; // "*/welcome",
    private String broadcast_type; // "banner",
    private boolean dismissable; // false
    private int[] target_access_levels; // [10, 30]

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Date getStarts_at() {
        return starts_at;
    }

    public void setStarts_at(Date starts_at) {
        this.starts_at = starts_at;
    }

    public Date getEnds_at() {
        return ends_at;
    }

    public void setEnds_at(Date ends_at) {
        this.ends_at = ends_at;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getFont() {
        return font;
    }

    public void setFont(String font) {
        this.font = font;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    public String getTarget_path() {
        return target_path;
    }

    public void setTarget_path(String target_path) {
        this.target_path = target_path;
    }

    public String getBroadcast_type() {
        return broadcast_type;
    }

    public void setBroadcast_type(String broadcast_type) {
        this.broadcast_type = broadcast_type;
    }

    public boolean isDismissable() {
        return dismissable;
    }

    public void setDismissable(boolean dismissable) {
        this.dismissable = dismissable;
    }

    public int[] getTarget_access_levels() {
        return target_access_levels;
    }

    public void setTarget_access_levels(int[] target_access_levels) {
        this.target_access_levels = target_access_levels;
    }
}
